bankstract
Api

Provision or regenerate the owner's test key

Admin-only. Revokes any existing active test key for the owner and issues a fresh one (exactly one active test key per owner). Returns the raw key exactly once.

POST
/v1/keys/test

Header Parameters

authorization?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/keys/test" \  -H "Content-Type: application/json" \  -d '{    "owner": "string"  }'
{  "id": "string",  "key": "string",  "prefix": "string",  "name": "string",  "env": "string",  "tier": "string"}
{  "error": "string",  "error_class": "string",  "format_version": "string",  "marker_coverage": 0}
{  "error": "string",  "error_class": "string",  "format_version": "string",  "marker_coverage": 0}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string",      "input": null,      "ctx": {}    }  ]}